<?php
/**
 * Portfolio Archive Template.
 *
 * This template is loaded whenever multiple portfolio items are queried.
 * This includes post_type archives for the "portfolio" post type,
 * and taxonomy archives for the following taxonomies:
 * "portfolio_tags" and "portfolio_categories".
 *
 * @see Ghostbird_Portfolio_Post_Type::template_redirect()
 * @see /inc/compat/portfolio-post-type-plugin.php
 *
 * @see http://wordpress.org/extend/plugins/portfolio-post-type/
 *
 * @package      Ghostbird
 * @author       Michael Fields <michael@mfields.org>
 * @copyright    Copyright (c) 2012, Michael Fields
 * @license      http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since        1.2
 */

if ( ! have_posts() ) {
	get_template_part( '404' );
}

get_header();

?>

<div id="content">

<div id="intro">
	<?php ghostbird_title( '<h1>', '</h1>' ); ?>
	<?php ghostbird_byline( '<p id="byline">', '</p>' ); ?>
	<?php ghostbird_summary( '<div id="summary">', '</div>' ); ?>
	<?php ghostbird_summary_meta( '<div id="intro-meta">', '</div>' ); ?>
</div>

	<?php  if ( have_posts() ) : $count = 0; ?>
		<div class="portfolio-container">
			<?php while ( have_posts() ) : the_post(); $count++; ?>

			<div <?php post_class(); ?>">
				<?php if ( '' != get_the_post_thumbnail() ) : ?>
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>" class="thumb"><?php the_post_thumbnail(); ?></a>
				<?php else : ?>
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>" class="title-overlay"><?php the_title() ?></a>
				<?php endif; ?>
			</div>

			<?php endwhile; ?>
		</div>
	<?php endif; ?>

</div><!--content-->

<div class="clear"></div>

<?php get_footer(); ?>