<?php
/**
 * Portfolio Template.
 *
 * This template is loaded whenever a single portfolio item is queried for.
 *
 * @see http://wordpress.org/extend/plugins/portfolio-post-type/
 *
 * @package      Ghostbird
 * @author       Michael Fields <michael@mfields.org>
 * @copyright    Copyright (c) 2012, Michael Fields
 * @license      http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since        1.2
 */

if ( ! have_posts() ) {
	get_template_part( '404' );
}

get_header();

?>

<div id="content">

<div id="intro">
	<?php ghostbird_title( '<h1>', '</h1>' ); ?>
	<?php ghostbird_byline( '<p id="byline">', '</p>' ); ?>
	<?php ghostbird_summary( '<div id="summary">', '</div>' ); ?>
	<?php ghostbird_summary_meta( '<div id="intro-meta">', '</div>' ); ?>
</div>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="entry-content">

			<?php if ( '' != get_the_post_thumbnail() )
				the_post_thumbnail( 'portfolio-large' );
			?>

			<?php the_content(); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'ghostbird' ), 'after' => '</div>' ) ); ?>
		</div><!-- .entry-content -->

		<footer class="entry-meta">
			<?php
				$cat_list = get_the_term_list( $post->ID, 'portfolio_category', '', ', ', '' );
				$tag_list = get_the_term_list( $post->ID, 'portfolio_tag', '', ', ', '' );
				$utility_text = '';
				if ( ( $cat_list ) && ( '' ==  $tag_list ) )
					$utility_text = __( 'This entry was posted in %1$s.', 'ghostbird' );
				if ( ( '' != $tag_list ) && ( '' ==  $cat_list ) )
					$utility_text = __( 'This entry was tagged %2$s.', 'ghostbird' );
				if ( ( '' != $cat_list ) && ( '' !=  $tag_list ) )
					$utility_text = __( 'This entry was posted in %1$s and tagged %2$s.', 'ghostbird' );
				printf(
					$utility_text,
					$cat_list,
					$tag_list
				);
			?>

			<?php edit_post_link( __( 'Edit', 'ghostbird' ), '<span class="edit-link">', '</span>' ); ?>
		</footer><!-- .entry-meta -->
	</article><!-- #post-<?php the_ID(); ?> -->

<?php endwhile; ?>

<?php ghostbird_author_bio(); ?>

<?php comments_template( '', true ); ?>

</div><!--content-->

<div class="clear"></div>

<?php get_footer(); ?>